> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# update entity by id



## OpenAPI

````yaml /openapi.json put /api/v1/plan/{id}
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/plan/{id}:
    put:
      tags:
        - Plan Route
      summary: update entity by id
      parameters:
        - name: id
          in: path
          required: true
          schema:
            format: int64
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePlanDto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlanDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    UpdatePlanDto:
      type: object
      properties:
        status:
          description: 'Status of the entity. Default: ''ACTIVE'''
          type: string
          allOf:
            - $ref: '#/components/schemas/Status'
        name:
          type: string
        maxUsers:
          format: int32
          description: The maximum number of users allowed under this plan
          type: integer
        maxContracts:
          format: int32
          description: The maximum number of contracts allowed under this plan
          type: integer
        maxProjects:
          format: int32
          description: The maximum number of projects allowed under this plan
          type: integer
        maxTriggers:
          format: int32
          description: The maximum number of triggers allowed under this plan
          type: integer
        maxDetectors:
          format: int32
          description: The maximum number of detectors allowed under this plan
          type: integer
        maxWallets:
          format: int32
          description: The maximum number of wallets allowed under this plan
          type: integer
        maxActions:
          format: int32
          description: The maximum number of actions allowed under this plan
          type: integer
        maxApiKeys:
          format: int32
          description: The maximum number of api keys allowed under this plan
          type: integer
        detectorRateLimit:
          format: int32
          description: The maximum rate of detector alerts per duration
          type: integer
        detectorRateLimitDuration:
          format: int32
          description: >-
            The time duration (in milliseconds) per which the maximum rate of
            detector alerts is allowed
          type: integer
    PlanDto:
      type: object
      properties:
        id:
          format: int64
          description: Unique identifier of the entity
          type: integer
          example: 1
        createdAt:
          format: int64
          description: Time when entity was created
          type: integer
        updatedAt:
          format: int64
          description: Time when entity was updated
          type: integer
        status:
          description: 'Status of the entity. Default: ''ACTIVE'''
          type: string
          allOf:
            - $ref: '#/components/schemas/Status'
        name:
          description: Name for the entity
          type: string
        maxUsers:
          format: int32
          description: The maximum number of users allowed under this plan
          type: integer
        maxContracts:
          format: int32
          description: The maximum number of contracts allowed under this plan
          type: integer
        maxProjects:
          format: int32
          description: The maximum number of projects allowed under this plan
          type: integer
        maxTriggers:
          format: int32
          description: The maximum number of triggers allowed under this plan
          type: integer
        maxDetectors:
          format: int32
          description: The maximum number of detectors allowed under this plan
          type: integer
        maxWallets:
          format: int32
          description: The maximum number of wallets allowed under this plan
          type: integer
        maxActions:
          format: int32
          description: The maximum number of actions allowed under this plan
          type: integer
        maxApiKeys:
          format: int32
          description: The maximum number of api keys allowed under this plan
          type: integer
        detectorRateLimit:
          format: int32
          description: The maximum rate of detector alerts per duration
          type: integer
        detectorRateLimitDuration:
          format: int32
          description: >-
            The time duration (in milliseconds) per which the maximum rate of
            detector alerts is allowed
          type: integer
    Status:
      enum:
        - ACTIVE
        - DISABLED
        - DELETED
      type: string
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````